IF COL_LENGTH('Productos_Reten', 'Id_Prod_Reten') IS NULL 
BEGIN
CREATE TABLE Productos_Reten (
	Id_Prod_Reten	INT IDENTITY(1,1),
	Id_Producto		VARCHAR(14) NOT NULL,
	Id_Tipo_Reten   VARCHAR(10) NOT NULL,
	Porc 			DECIMAL(9, 4),
	Coef 			DECIMAL(8, 5),
	CONSTRAINT PK_PRODR_PorId PRIMARY KEY CLUSTERED (Id_Prod_Reten)
	)
END
GO

IF IndexProperty(Object_Id('Productos_Reten'), 'IX_PRODR_PorRet', 'IndexID') IS  NULL
	CREATE INDEX IX_PRODR_PorRet ON Productos_Reten (Id_Tipo_Reten)

IF IndexProperty(Object_Id('Productos_Reten'), 'IX_PRODR_PorPro', 'IndexID') IS  NULL
	CREATE INDEX IX_PRODR_PorPro ON Productos_Reten (Id_Producto)

IF NOT EXISTS (SELECT * FROM INFORMATION_SCHEMA.TABLE_CONSTRAINTS WHERE CONSTRAINT_NAME='FK_PRODR_Reten_Tipos')
	ALTER TABLE Productos_Reten  ADD  CONSTRAINT FK_PRODR_Reten_Tipos FOREIGN KEY (Id_Tipo_Reten)
		REFERENCES Cbtes_Reten_Tipos (Id_Tipo_Reten)
GO

IF NOT EXISTS (SELECT * FROM INFORMATION_SCHEMA.TABLE_CONSTRAINTS WHERE CONSTRAINT_NAME='FK_PRODR_Productos')
	ALTER TABLE Productos_Reten  ADD  CONSTRAINT FK_PRODR_Productos FOREIGN KEY (Id_Producto)
		REFERENCES Productos (Id_Producto)
GO



